﻿using System;
using System.Collections.Generic;
using Syncfusion.SfNavigationDrawer.iOS;

#if __UNIFIED__
using Foundation;
using UIKit;
using CoreGraphics;

#else
using MonoTouch.Foundation;
using MonoTouch.UIKit;
using MonoTouch.CoreGraphics;
using nint = System.Int32;
using nuint = System.Int32;
using CGSize = System.Drawing.SizeF;
using CGRect = System.Drawing.RectangleF;
using nfloat  = System.Single;
#endif

namespace NavigationDrawer
{
	public class MainPageView : UIView
	{
		public UIView content;
		UIView background;

		UILabel headerContentLabel;


		public MainPageView (CGRect bounds)
		{
			headerContentLabel = new UILabel ();
			this.BackgroundColor = UIColor.FromRGB(49,173,225);
			this.Frame = new CGRect (0, 0, bounds.Width, bounds.Height);
			content =new UIView(new CGRect(0,0,this.Frame.Width,this.Frame.Height));
			background=new UIView(new CGRect(0,50,this.Frame.Width,this.Frame.Height+72));
			background.BackgroundColor = UIColor.White;
	
			this.Add(background);
			background.Add(content);

			headerContentLabel.Frame =new CGRect ((bounds.Width/2)-100, 10, 200, 30);
			headerContentLabel.Text="Home";
			headerContentLabel.TextColor = UIColor.White;
			headerContentLabel.TextAlignment = UITextAlignment.Center;
			this.AddSubview (headerContentLabel);
		}
		public MainPageView ()
		{


		}




	}
}


