﻿using System;
using Foundation;
using UIKit;
using CoreGraphics;


namespace NavigationDrawer
{
	public class TableSource1:UITableViewSource
	{
		public bool customise;
		string[] TableItems;
		string[] ContentItems;
		string item2 = "test";
		UILabel ll, ll1;
		string CellIdentifier = "TableCell";
		public TableSource1(string[] items)
		{
			TableItems = items;
		}
		public TableSource1(string[] items, string[] contentitems)
		{
			TableItems = items;
			ContentItems = contentitems;
		}
		public override nint RowsInSection(UITableView tableview, nint section)
		{
			int i = TableItems.Length;
			return (nint)i;
		}
		public override void RowSelected(UITableView tableView, NSIndexPath indexPath)
		{
			if (!customise)
			{
				//NavigationDrawer.mainView.setvalue1 ((int)indexPath.Item);
				//NavigationDrawer.sideMenuController.ToggleDrawer ();
			}
		}

		public override nfloat GetHeightForRow(UITableView tableView, NSIndexPath indexPath)
		{
			if ((UIDevice.CurrentDevice).UserInterfaceIdiom == UIUserInterfaceIdiom.Pad)
			{
				if (customise)
					return 40;//55
				else
					return 40;
			}
			else
				return 40;//40
		}
		public override UITableViewCell GetCell(UITableView tableView, NSIndexPath indexPath)
		{
			UITableViewCell cell = tableView.DequeueReusableCell(CellIdentifier);

			string item = TableItems[indexPath.Row];
			string strpath = String.Empty;
			if (ContentItems != null)
				item2 = ContentItems[indexPath.Row];
			if (cell == null)
			{ cell = new UITableViewCell(UITableViewCellStyle.Default, CellIdentifier); }
			if (customise)
			{
				UIView centerview = new UIView();
				centerview.Frame = cell.Frame;
				centerview.BackgroundColor = UIColor.White;
				if ((UIDevice.CurrentDevice).UserInterfaceIdiom == UIUserInterfaceIdiom.Pad)
				{
					ll = new UILabel(new CGRect(100, 2, 100, 20));
					ll1 = new UILabel(new CGRect(100, 20, 300, 30));
				}
				else {
					ll = new UILabel(new CGRect(15, 2, 100, 20));
					ll1 = new UILabel(new CGRect(15, 20, 300, 20));
				}
				ll.Font = UIFont.FromName("Helvetica", 15f);
				ll.Text = item;
				centerview.Add(ll);

				ll1.Text = item2;
				ll1.Lines = 0;
				ll1.Font = UIFont.FromName("Helvetica", 13f);
				centerview.Add(ll1);
				cell.ContentView.Add(centerview);

			}
			else {
				cell.TextLabel.Text = item;
				cell.BackgroundColor = UIColor.Black;
				cell.TextLabel.TextColor = UIColor.White;
				if (item == "Cut")
				{ strpath = "Image/" + "ic_cut.png"; }
				else if (item == "Polish")
				{ strpath = "Image/" + "ic_polish.png"; }
				else if (item == "Symmetry")
				{ strpath = "Image/" + "ic_symmetry.png"; }
				else if (item == "Certificate")
				{ strpath = "Image/" + "ic_certificate.png"; }
				else if (item == "Location")
				{ strpath = "Image/" + "ic_location.png"; }
				else if (item == "More...")
				{ strpath = "Image/" + "ic_more.png"; }

				cell.ImageView.Image = UIImage.FromFile(strpath);
				cell.ImageView.Frame = new CGRect(cell.ContentView.Bounds.Width - 100, 5, 33, 33);
				cell.ImageView.AutoresizingMask = UIViewAutoresizing.None;
				cell.ImageView.ClipsToBounds = true;
			}
			return cell;
		}
	}
}

